usb_hid_generic_struct_t Struct Reference
Collaboration diagram for usb_hid_generic_struct_t:
[legend]

## Data Fields

usb_device_handle | device_handle
class_handle_t | hid_handle
usb_hid_packetizer_info_t | hid_packet
uint8_t | idle_rate
uint8_t | speed
uint8_t | attach
uint8_t | current_configuration
uint8_t | current_interface_alternate_setting [USB_HID_GENERIC_INTERFACE_COUNT]

## Field Documentation

uint8_t attach

uint8_t current_configuration

uint8_t current_interface_alternate_setting[USB_HID_GENERIC_INTERFACE_COUNT]

usb_device_handle device_handle

class_handle_t hid_handle

usb_hid_packetizer_info_t hid_packet

uint8_t idle_rate

uint8_t speed

The documentation for this struct was generated from the following file:

- hid_bootloader.h